## netsed 0.01c

=== Makefile ===
CFLAGS = -Wall -fomit-frame-pointer -O9

all: netsed

clean:
	rm -f netsed core *.o netsed.tgz

tgz: clean
	tar cfvz netsed.tgz *

publish: tgz
	scp netsed.tgz lcamtuf@dione:public_html/

## netsed 1.00b

=== Makefile ===
CFLAGS := -Wall -fomit-frame-pointer -O9

VERSION := $(shell grep '\#define VERSION' netsed.c|sed 's/\#define VERSION "\(.*\)"/\1/')

all: netsed

clean:
	rm -f netsed core *.o netsed.tgz

doc:
	doxygen doxygen.conf

check_version:
	@echo netsed $(VERSION)
	@grep "netsed $(VERSION)" NEWS>/dev/null ||(echo "version should appear in NEWS file"; exit 1)
	@grep "netsed $(VERSION)" README>/dev/null ||(echo "version should appear in README file"; exit 1)

.PHONY: test

test: netsed
	ruby test/ts_full.rb

test/doc:
	cd test;LANG=C rdoc -a --inline-source -d *.rb

release_tag: check_version
	@if (git status --porcelain | grep '^ M') then echo "you have modified files, cannot tag"; exit 2; else exit 0; fi
	git tag $(VERSION)

quick_archive: clean check_version
	tar cfvz ../netsed-$(VERSION).tar.gz *

release_archive:
	@git show-ref --tags $(VERSION) > /dev/null ||(echo "to release first create a tag with the current version $(VERSION)"; exit 3)
	fakeroot git archive --format=tar --prefix=netsed-$(VERSION)/ $(VERSION) | gzip > ../netsed-$(VERSION).tar.gz

release: release_archive
	@echo "netsed-$(VERSION) release" > ../netsed-$(VERSION).txt
	@echo -n "commit " >> ../netsed-$(VERSION).txt
	@git rev-parse --verify $(VERSION) >> ../netsed-$(VERSION).txt
	@cd .. && md5sum netsed-$(VERSION).tar.gz >> netsed-$(VERSION).txt
	@cd .. && sha1sum netsed-$(VERSION).tar.gz >> netsed-$(VERSION).txt
	@cd .. && sha256sum netsed-$(VERSION).tar.gz >> netsed-$(VERSION).txt

# then: gpg --clearsign netsed-$(VERSION).txt -o netsed-$(VERSION).sig
# and upload netsed-$(VERSION).tar.gz netsed-$(VERSION).sig

=== debian/changelog ===
netsed (1.00b-2) unstable; urgency=low

  * debian/control: Improve description.
  * debian/rules: Remove my email address.
  * debian/NEWS: New file.
  * debian/netsed.1: Update manpage to give present capabilities.
  * debian/patches/:
    + 03-traditional_rule.diff: Less strict rule spelling.
    + 04-check_dual_stack.diff: Avoid unintended dual family stack.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 24 Aug 2011 20:54:28 +0200

netsed (1.00b-1) unstable; urgency=low

  [Arno Töll]

  * Switch to dpkg-source format '3.0 (quilt)'.
  * Write rules file from scratch, based on 'dh'.
  * Compatibility and dependency on debhelper (>=8.0.0~).
  * Bump standards to 3.9.2.

  [Mats Erik Andersson]

  * New maintainer. Thanks to all prior maintainers and contributors.
    (Closes: #487339)
  * debian/patches/:
    + 01-cflag_inclusion.diff: Sense any exported CFLAGS.
    + 02-ftbfs_kfreebsd.diff: Resolve FTBFS for GNU/kfreebsd.
  * debian/copyright:
    + Rewritten according to DEP-5.
  * debian/watch:
    + New file.
  * debian/control:
    + Homepage stanza.
    + Vcs-*: New stanzas.
    + Add ruby build dependency
    + Reformulate description.

  [Sven Hoexter]

  * debian/control:
    + Make the short description dev-ref compliant.
    + Update Vcs-* stanzas.
    + Add DM-Upload-Allowed: yes.

  [Tim Retout]

  * New upstream release from a new maintainer:
    + Fix "netsed executes a tight non-blocking loop.": Change to new
      upstream source. (Closes: #586037)
    + Fix "hostnames resolved as 255.255.255.255", patch by Mats Erik
      Andersson. (Closes: #397420)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 10 Jun 2011 23:49:16 +0200

netsed (0.01c-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fix bashisms (use of {,}) (Closes: #375570) 

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 14 Jan 2008 15:16:15 +0100

netsed (0.01c-2) unstable; urgency=low

  * Manpage typos fixed.                            (closes: Bug#170847)

 -- Lenart Janos <ocsi@debian.org>  Wed, 27 Nov 2002 14:14:45 +0100

netsed (0.01c-1) unstable; urgency=medium

  * Re-release under GPL (administrative).          (closes: Bug#166669)
  * Upgraded Standards-Version.
  * Removed debian/{postinst,prerm}.

 -- Lenart Janos <ocsi@debian.org>  Mon, 25 Nov 2002 18:34:55 +0100

netsed (0.01b-5) unstable; urgency=low

  * Fixed buggy debian/{pre,post}{inst,rem}.        (closes: Bug#126957)

 -- Lenart Janos <ocsi@debian.org>  Tue,  1 Jan 2002 19:51:31 +0100

netsed (0.01b-4) unstable; urgency=low

  * Typo fixed in the description.                  (closes: Bug#125183)

 -- Lenart Janos <ocsi@debian.org>  Sat, 22 Dec 2001 16:13:00 +0100

netsed (0.01b-3) unstable; urgency=low

  * Adopted package.                                (closes: Bug#120654)
  * Re-debianized from scratch.

 -- Lenart Janos <ocsi@debian.org>  Sat, 24 Nov 2001 18:17:44 +0100

netsed (0.01b-2) unstable; urgency=low

  * Oops. Corrected debian/control, so long description refers to ngrep,
    not netgrep (Closes: #112120)
  * Bumped up Standards-Version while there

 -- Gergely Nagy <algernon@debian.org>  Sat, 15 Sep 2001 15:45:44 +0200

netsed (0.01b-1) unstable; urgency=low

  * Initial release, for Master to take over the world
  (Closes: #101959)

 -- Gergely Nagy <algernon@debian.org>  Sat, 23 Jun 2001 10:47:53 +0200

=== debian/control ===
Source: netsed
Section: net
Priority: optional
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.0.0~), ruby
Homepage: http://silicone.homelinux.org/projects/netsed/
Vcs-Git: git://anonscm.debian.org/collab-maint/netsed.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/netsed.git
DM-Upload-Allowed: yes

Package: netsed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network packet-altering stream editor
 NetSED is a small and handy utility designed to alter, in real time,
 the contents of packets forwarded through your network. It is really
 useful for network packet alteration, forging, or manipulation.
 NetSED supports:
 .
   * black-box protocol auditing - whenever there are two or more
     proprietary boxes communicating using some undocumented protocol.
     By enforcing changes in ongoing transmissions, you will be able
     to test if the examined application can be claimed secure;
   * fuzz generating experiments, integrity tests - whenever you do
     stability tests of an application to see how it cares for data
     integrity;
   * other common use-cases: deceptive transfers, content filtering,
     protocol conversion - whatever best fits your task at hand.
 .
 It ideally complements a tool suite based on ngrep, netcat, and tcpdump.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# debian/rules for netsed by Mats Erik Andersson and
# Arno Töll <debian@toell.net>.
# Written from scratch and adapted to debhelper 8.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

pkg = netsed

%:
	dh $@

override_dh_auto_install:
	install $(pkg) debian/$(pkg)/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## netsed 1.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,17 @@
-CFLAGS := -Wall -fomit-frame-pointer -O9
+CFLAGS += -Wall -fomit-frame-pointer
+PREFIX ?= /usr/local
+
+ifeq "$(shell uname -s)" "SunOS"
+	LDFLAGS += -lsocket
+endif
 
 VERSION := $(shell grep '\#define VERSION' netsed.c|sed 's/\#define VERSION "\(.*\)"/\1/')
 
 all: netsed
+
+install: netsed
+	install -d $(DESTDIR)$(PREFIX)/bin
+	install -m 0755 netsed $(DESTDIR)$(PREFIX)/bin/
 
 clean:
 	rm -f netsed core *.o netsed.tgz
@@ -41,6 +50,6 @@
 	@cd .. && md5sum netsed-$(VERSION).tar.gz >> netsed-$(VERSION).txt
 	@cd .. && sha1sum netsed-$(VERSION).tar.gz >> netsed-$(VERSION).txt
 	@cd .. && sha256sum netsed-$(VERSION).tar.gz >> netsed-$(VERSION).txt
+	@cd .. && gpg -o netsed-$(VERSION).sig --clearsign netsed-$(VERSION).txt
 
-# then: gpg --clearsign netsed-$(VERSION).txt -o netsed-$(VERSION).sig
 # and upload netsed-$(VERSION).tar.gz netsed-$(VERSION).sig

=== debian/changelog ===
netsed (1.1-1) unstable; urgency=low

  * Standards-Version 3.9.4. No changes were needed.
  * Remove obsolete DM-Upload-Allowed.
  * All patches have been applied by upstream author.
  * debian/netsed.1: Updated manual page.
  * [lintian] Spell-checking.
    + debian/netsed.lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 13 Jul 2013 20:55:22 +0200

netsed (1.00b-3) unstable; urgency=low

  * Acknowledge recent non-maintainer upload.
  * Hardened compiler flags.
    + debian/control: Build depends on dpkg-dev (>= 1.15.7).
    + debian/rules: Set compiler flags using dpkg-buildflags.
  * debian/control: Standards 3.9.3, no changes.
  * debian/copyright:
    + Set "GPL-2+" as name of common standalone license.
    + Use the official URL as format specification.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 02 Aug 2012 03:27:27 +0200

netsed (1.00b-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add 05-ftbfs_ruby1.9_testsuite_require_syntax.diff to adjust to
    changes in the Ruby 1.9 require syntax. (Closes: #676126)
  * Build-Depend on procps - ps is used within test/tc_system.rb.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 08 Jul 2012 14:59:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.0.0~), ruby
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8.0.0~), ruby, procps, dpkg-dev (>= 1.15.7)
 Homepage: http://silicone.homelinux.org/projects/netsed/
 Vcs-Git: git://anonscm.debian.org/collab-maint/netsed.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/netsed.git
-DM-Upload-Allowed: yes
 
 Package: netsed
 Architecture: any

=== debian/watch ===
version=3

http://silicone.homelinux.org/release/netsed/netsed-([.0-9]+[a-z]?)\.tar\.gz

## netsed 1.2

=== debian/changelog ===
netsed (1.2-1) unstable; urgency=low

  * New upstream version.
    + debian/netsed.1: Updated.
    + debian/netsed.lintian-overrides: Removed.
  * Standards-Version 3.9.5, no immediate changes.
  * Support signed archives at upstream's site:
    + debian/upstream/signing-key.asc: New file.
    + debian/watch: Add a signature file unmangler.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 24 May 2014 20:50:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 8.0.0~), ruby, procps, dpkg-dev (>= 1.15.7)
 Homepage: http://silicone.homelinux.org/projects/netsed/
 Vcs-Git: git://anonscm.debian.org/collab-maint/netsed.git

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
+
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+export CPPFLAGS CFLAGS LDFLAGS
 
 pkg = netsed

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s|(.*).tar.gz$|\1.sig| \
http://silicone.homelinux.org/release/netsed/netsed-([.0-9]+[a-z]?)\.tar\.gz

## netsed 1.4

=== Makefile ===
CFLAGS += -Wall -fomit-frame-pointer
PREFIX ?= /usr/local

ifeq "$(shell uname -s)" "SunOS"
	LDFLAGS += -lsocket
endif

VERSION := $(shell grep '\#define VERSION' netsed.c|sed 's/\#define VERSION "\(.*\)"/\1/')

all: netsed

install: netsed
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 0755 netsed $(DESTDIR)$(PREFIX)/bin/

clean:
	rm -f netsed core *.o netsed.tgz

doc:
	doxygen doxygen.conf

check_version:
	@echo netsed $(VERSION)
	@grep "netsed $(VERSION)" NEWS>/dev/null ||(echo "version should appear in NEWS file"; exit 1)
	@grep "netsed $(VERSION)" README>/dev/null ||(echo "version should appear in README file"; exit 1)

.PHONY: test

test: netsed
	ruby test/ts_full.rb

test/doc:
	cd test;LANG=C rdoc -a --inline-source -d *.rb

release_tag: check_version
	@if (git status --porcelain | grep '^ M') then echo "you have modified files, cannot tag"; exit 2; else exit 0; fi
	git tag -s $(VERSION) -m "Version $(VERSION)"

quick_archive: clean check_version
	tar cfvz ../netsed-$(VERSION).tar.gz *

release_archive: | release_tag
	@git show-ref --tags $(VERSION) > /dev/null ||(echo "to release first create a tag with the current version $(VERSION).\nJust type:\n    make release_tag"; exit 3)
	fakeroot git archive --format=tar --prefix=netsed-$(VERSION)/ $(VERSION) | gzip > ../netsed-$(VERSION).tar.gz

release: release_tag release_archive
	@echo "netsed-$(VERSION) release"
	@gpg --armor --detach-sign ../netsed-$(VERSION).tar.gz

# and upload netsed-$(VERSION).tar.gz netsed-$(VERSION).tar.gz.asc

=== debian/changelog ===
netsed (1.4-1) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * New upstream version
    Closes: #437620, #1094091
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Re-export upstream signing key without extra signatures.
  * d/watch:
     - standard 4
     - download signature

 -- Andreas Tille <tille@debian.org>  Fri, 16 May 2025 06:33:25 +0200

netsed (1.2-3) unstable; urgency=medium

  * Address FTBFS due to test suite failure.
    + debian/patches/use_calloc.diff: New file.  (Closes: #818852, #831270)
    + debian/patches/ruby_issues.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 02 Sep 2016 14:42:55 +0200

netsed (1.2-2) unstable; urgency=low

  * Step Standards-Version to 3.9.8, no changes.
  * Use debhelper in compatibility level 9.
    + debian/rules: Remove explicit setting of CPPFLAGS, etcetera.
      Allow all available hardening mechanisms.
  * debian/control: Path correction in Vcs-Git.  Use HTTPS transport
    for Vcs-Git as well as for Vcs-Browser.  Remove obsolete build
    dependency on dpkg-dev.
  * debian/copyright: Update time span of my contribution.
  * debian/docs: Drop upstream's file TODO.
  * debian/NEWS: Remove obsolete file.
  * debian/patches/series: Remove this unused file.
  * debian/watch: Disable signature checking, since upstream does
    not sign in the expected manner.  Problem found by Tiago Ilieve.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 01 May 2016 01:12:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 8.0.0~), ruby, procps, dpkg-dev (>= 1.15.7)
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), procps, ruby
 Homepage: http://silicone.homelinux.org/projects/netsed/
-Vcs-Git: git://anonscm.debian.org/collab-maint/netsed.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/netsed.git
+Vcs-Git: https://salsa.debian.org/debian/netsed.git
+Vcs-Browser: https://salsa.debian.org/debian/netsed
 
 Package: netsed
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: network packet-altering stream editor
  NetSED is a small and handy utility designed to alter, in real time,
  the contents of packets forwarded through your network. It is really

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# debian/rules for netsed by Mats Erik Andersson and
# Arno Töll <debian@toell.net>.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

pkg = netsed

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS

%:
	dh $@

override_dh_auto_install:
	install $(pkg) debian/$(pkg)/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4

opts=pgpmode=auto \
  http://silicone.homelinux.org/release/netsed/netsed-([.0-9]+[a-z]?)\.tar\.gz
